# $Revision: 1.41 $, $Date: 2004/08/19 19:13:33 $
Summary:	wmCalClock - a simple Calendar Clock
Summary(pl):	wmCalClock - prosty zegar z kalendarzem
Name:		wmCalClock
Version:	1.25
Release:	6
License:	GPL
Group:		X11/Window Managers/Tools
Source0:	http://nis-www.lanl.gov/~mgh/WindowMaker/%{name}-%{version}.tar.gz
# Source0-md5:	a401ded0e1fee4bcc4623076159bca41
Source1:	%{name}.desktop
Patch0:		%{name}-locale.patch.gz
URL:		http://nis-www.lanl.gov/~mgh/WindowMaker/DockApps.shtml
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)


%description
wmCalClock is a simple Calendar Clock for the WindowMaker/AfterStep
dock.

%description -l pl
wmCalClock jest prostym, dokowalnym zegarem z kalendarzem dla
WindowMakera/AfterStepa.

%prep
%setup -q

%patch0 -p0

%build
%{__make} -C Src \
	CFLAGS="%{rpmcflags} -Wall" \
	LIBDIR="-L/usr/X11R6/%{_lib}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1} \
	$RPM_BUILD_ROOT%{_desktopdir}/docklets

install Src/%{name} $RPM_BUILD_ROOT%{_bindir}
install Src/%{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/docklets


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS CHANGES HINTS README TODO
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/*
%{_desktopdir}/docklets/wmCalClock.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wmCalClock.spec,v $
Revision 1.41  2004/08/19 19:13:33  yogib
- fix building on amd64

Revision 1.40  2004/07/18 09:13:05  yogib
- switched to vfolders

Revision 1.39  2003/05/28 13:02:52  malekith
- massive attack: source-md5

Revision 1.38  2003/05/25 06:27:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.37  2003/04/25 09:20:29  misi3k
- rel 4.1
- updated locale patch from Tomek Grzejszczyk <T.Grzejszczyk(at)elka.pw.edu.pl>

Revision 1.36  2003/04/24 19:13:13  misi3k
- rel 4
- added locale patch from Tomek Grzejszczyk <T.Grzejszczyk(at)elka.pw.edu.pl>

Revision 1.35  2003/02/28 10:08:59  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.34  2003/01/18 22:57:41  juandon
- removed two lines with define

Revision 1.33  2002/11/29 22:47:07  ankry
- massive attack: new %%doc

Revision 1.32  2002/02/23 05:04:59  kloczek
- adapterized.

Revision 1.31  2002/02/22 23:29:58  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.30  2002/01/18 02:15:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.29  2001/12/14 15:45:03  kloczek
- release 3: commented desktop file.

Revision 1.28  2001/07/15 00:38:13  kloczek
- reelase 2,
- updated Source url and added URL.

Revision 1.27  2001/05/03 01:14:05  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.26  2000/11/12 16:58:51  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.25  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.24  2000/04/01 11:15:57  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.23  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.22  1999/11/27 02:59:14  pius
- added using more rpm macros
- cosmetics

Revision 1.21  1999/09/04 09:44:02  pius
- cosmetics

Revision 1.20  1999/09/04 09:02:33  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.19  1999/07/20 12:48:11  wiget
- switch to rpm 3.0.2

Revision 1.18  1999/07/12 23:06:19  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon May 24 1999 Piotr Czerwiski <pius@pld.org.pl>
  [1.24-1]
- updated to 1.24.

* Mon May 17 1999 Piotr Czerwiski <pius@pld.org.pl>
  [1.22-3]
- package is FHS 2.0 compliant,
- based on spec file written by Ian Macdonald <ianmacd@xs4all.nl>,
  rewritten for PLD use by me and Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>.
